[project]
name = "aida-seg-anything"
version = "0.1.0"
description = "Add your description here"
requires-python = ">=3.10"
dependencies = [
    "litserve>=0.2.17",
    "minio>=7.2.20",
    "numpy>=2.2.6",
    "opencv-python>=4.11.0.86",
    "pydantic-settings==2.11.0",
    "requests>=2.32.5",
    "segment-anything",
    "torch>=2.9.1",
    "torchvision>=0.24.1",
]

[tool.uv.sources]
segment-anything = { git = "https://github.com/facebookresearch/segment-anything.git" }
